play.libs

## Class F.IndexedEvent<M>

- java.lang.Object
- - play.libs.F.IndexedEvent<M>

Enclosing class:
  F

    public static class F.IndexedEvent<M>
    extends java.lang.Object

### Field Summary

Fields
`M` `data`
`java.lang.Long` `id`

### Constructor Summary

Constructors
Constructor and Description
`IndexedEvent(M data)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `resetIdGenerator()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### data

    public final M data

#### id

    public final java.lang.Long id

### Constructor Detail

#### IndexedEvent

    public IndexedEvent(M data)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### resetIdGenerator

    public static void resetIdGenerator()